Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.varia
Class DenyAllFilter

    java.lang.Object
      org.apache.log4j.spi.Filter
          org.apache.log4j.varia.DenyAllFilter

All Implemented Interfaces:
  OptionHandler

    public class DenyAllFilter

extends Filter

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

Since:
  0.9.0
Author:
  Ceki Gülcü

Field Summary

Fields inherited from class org.apache.log4j.spi.Filter
`ACCEPT, DENY, NEUTRAL, next`

Constructor Summary
`DenyAllFilter()`

Method Summary
`int` | `decide(LoggingEvent event)` Always returns the integer constant `Filter.DENY` regardless of the `LoggingEvent` parameter.
`java.lang.String[]` | `getOptionStrings()` Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.
`void` | `setOption(java.lang.String key, java.lang.String value)` Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.

Methods inherited from class org.apache.log4j.spi.Filter
`activateOptions, getNext, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DenyAllFilter

    public DenyAllFilter()

Method Detail

### getOptionStrings

    public java.lang.String[] getOptionStrings()

  Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.

  Returns `null` as there are no options.

### setOption

    public void setOption(java.lang.String key,
                          java.lang.String value)

  Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.

  No options to set.

### decide

    public int decide(LoggingEvent event)

  Always returns the integer constant `Filter.DENY` regardless of the `LoggingEvent` parameter.

  Specified by:
    `decide` in class `Filter`
  Parameters:
    `event` - The LoggingEvent to filter.
  Returns:
    Always returns `Filter.DENY`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.